Subject: Re: bug#30813: 26.0.91; flyspell does not recheck after transpose-chars

From: Aaron Jensen <[email-masked]>
Date: Tue, 13 Mar 2018 21:56:38 -0700

On Tue, Mar 13, 2018 at 9:48 PM, Aaron Jensen <[email-masked]> wrote:
> On Tue, Mar 13, 2018 at 8:41 PM, Eli Zaretskii <[email-masked]> wrote:
>> That's a "feature": flyspell only checks words around point.
>
> Ah, that makes sense, I suppose. Would you be open to it behaving
> differently? Maybe something like it considers the words around the
> point's location before each command and after? Of course that'd
> potentially double the time that flyspell took and adding stuff to
> every command could hurt typing latency.

Upon some inspection, it seems flyspell is meant to be set up to do
this already. See `flyspell-check-pre-word-p', which returns nil in
this scenario. Perhaps it can be expanded to handle this scenario.